<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: obstacles.hh Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('obstacles_8hh_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">obstacles.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="obstacles_8hh.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="shape_8hh.html">shape.hh</a>&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="class_rod.html">   13</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_rod.html">Rod</a> : <span class="keyword">public</span> <a class="code" href="class_shape.html">Shape</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="class_rod.html#a08f7d00299c71d6856fb78a026d2a614">   19</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_rod.html#a08f7d00299c71d6856fb78a026d2a614">xMin</a> = 0.0 / 0.0, <a class="code" href="class_rod.html#a17ab3521f8c7b466a54bd4ae94b60ee5">xMax</a> = 0.0 / 0.0;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="class_rod.html#a8e04b938aebeabcd3ce18ef5c554127b">   26</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_rod.html#a8e04b938aebeabcd3ce18ef5c554127b">yMin</a> = 0.0 / 0.0, <a class="code" href="class_rod.html#ace95226b074d07712c4426492d41eeaf">yMax</a> = 0.0 / 0.0;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="class_rod.html#a42392326816458fd9a3de76d675ae1bf">   33</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_rod.html#a42392326816458fd9a3de76d675ae1bf">zMin</a> = 0.0 / 0.0, <a class="code" href="class_rod.html#afbe3c127b021c810aa560e8a1f8ea2c9">zMax</a> = 0.0 / 0.0;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="class_rod.html#ab283c65902eb7d02d80101b1fe94f15d">   38</a></span>&#160;    std::vector&lt;Vector3D&gt; <a class="code" href="class_rod.html#ab283c65902eb7d02d80101b1fe94f15d">obstacleRod_</a>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="class_rod.html#af5b1ce5a42b61431441eece432668ed7">   43</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="class_vector.html">Vector3D</a> <a class="code" href="class_rod.html#af5b1ce5a42b61431441eece432668ed7">obstacleRodTranslation_</a>{-80, 50, 100};</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="class_rod.html#a36c0b7c7daacebdc643bb7fce67c01fd">   48</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="class_rod.html#a36c0b7c7daacebdc643bb7fce67c01fd">kObstacleRodModel</a> = <span class="stringliteral">&quot;solid/obstacleRodModel.dat&quot;</span>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="class_rod.html#a3f52050d995080e1b6b4a3244d39a418">   53</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="class_rod.html#a3f52050d995080e1b6b4a3244d39a418">kObstacleRodFile</a> = <span class="stringliteral">&quot;solid/obstacleRod.dat&quot;</span>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <a class="code" href="class_rod.html#adcb64855f216b76960fcd78db56a3e52">Rod</a>();</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="class_rod.html#aab5b9f2d2649799575097e597be94354">   68</a></span>&#160;    <a class="code" href="class_rod.html#aab5b9f2d2649799575097e597be94354">~Rod</a>() { <a class="code" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> -= <a class="code" href="class_rod.html#ab283c65902eb7d02d80101b1fe94f15d">obstacleRod_</a>.size(); }</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_rod.html#a26e3e6f119b8d6a3747dd22626e9c07c">draw</a>(<span class="keyword">const</span> std::string &amp;rodFilename) <span class="keyword">const override</span>;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; </div>
<div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="class_rod.html#aabd3e986477308641df1107e4d1ca952">   79</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_rod.html#aabd3e986477308641df1107e4d1ca952">getCollisionInformation</a>()<span class="keyword"> const override </span>{</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        std::cerr &lt;&lt; std::endl;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        std::cerr &lt;&lt; <span class="stringliteral">&quot;\tSTOP! The drone was stopped before collision with the rod&quot;</span> &lt;&lt; std::endl;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    }</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    [[nodiscard]] <span class="keywordtype">bool</span> <a class="code" href="class_rod.html#a8bd1e81ac1987a74913ed25e57769d92">checkCollision</a>(<span class="keyword">const</span> std::vector&lt;Vector3D&gt; &amp;droneCover) <span class="keyword">const override</span>;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;};</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="class_rectangle.html">   96</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_rectangle.html">Rectangle</a> : <span class="keyword">public</span> <a class="code" href="class_shape.html">Shape</a> {</div>
<div class="line"><a name="l00102"></a><span class="lineno"><a class="line" href="class_rectangle.html#a93cca8b6ab5765045dc2eda6433ee2fb">  102</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_rectangle.html#a93cca8b6ab5765045dc2eda6433ee2fb">xMin</a> = 0.0 / 0.0, <a class="code" href="class_rectangle.html#abece729bcd234268157da5155e73309b">xMax</a> = 0.0 / 0.0;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="class_rectangle.html#afb0f8b49df846d3e9cccf64188817ef1">  109</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_rectangle.html#afb0f8b49df846d3e9cccf64188817ef1">yMin</a> = 0.0 / 0.0, <a class="code" href="class_rectangle.html#a6049ae1000f12d56cb36b4f6b5bd3c94">yMax</a> = 0.0 / 0.0;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160; </div>
<div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="class_rectangle.html#a768853ea026976e3ec18d43a43b5ab30">  116</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_rectangle.html#a768853ea026976e3ec18d43a43b5ab30">zMin</a> = 0.0 / 0.0, <a class="code" href="class_rectangle.html#ad1a7d194f96b1e3c17b5436cee629725">zMax</a> = 0.0 / 0.0;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160; </div>
<div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="class_rectangle.html#a44573438259917675abc85bd9d0914ef">  121</a></span>&#160;    std::vector&lt;Vector3D&gt; <a class="code" href="class_rectangle.html#a44573438259917675abc85bd9d0914ef">obstacleRectangle_</a>;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160; </div>
<div class="line"><a name="l00126"></a><span class="lineno"><a class="line" href="class_rectangle.html#a6a3eb6fe3c8711301369da887ecc2354">  126</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="class_vector.html">Vector3D</a> <a class="code" href="class_rectangle.html#a6a3eb6fe3c8711301369da887ecc2354">obstacleRectangleTranslation_</a>{70, -100, -200};</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160; </div>
<div class="line"><a name="l00131"></a><span class="lineno"><a class="line" href="class_rectangle.html#ad1bee83fb0fda7c7659870a564bbbfa5">  131</a></span>&#160;    std::string <a class="code" href="class_rectangle.html#ad1bee83fb0fda7c7659870a564bbbfa5">kObstacleRectangleModel</a> = <span class="stringliteral">&quot;solid/obstacleRectangleModel.dat&quot;</span>;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="class_rectangle.html#afc01efdb1030741856872de1dcd5a3b5">  136</a></span>&#160;    std::string <a class="code" href="class_rectangle.html#afc01efdb1030741856872de1dcd5a3b5">kObstacleRectangleFile</a> = <span class="stringliteral">&quot;solid/obstacleRectangle.dat&quot;</span>;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160; </div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <a class="code" href="class_rectangle.html#a8a933e0ebd9e80ce91e61ffe87fd577e">Rectangle</a>();</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160; </div>
<div class="line"><a name="l00151"></a><span class="lineno"><a class="line" href="class_rectangle.html#a494c076b13aadf26efdce07d23c61ddd">  151</a></span>&#160;    <a class="code" href="class_rectangle.html#a494c076b13aadf26efdce07d23c61ddd">~Rectangle</a>() { <a class="code" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> -= <a class="code" href="class_rectangle.html#a44573438259917675abc85bd9d0914ef">obstacleRectangle_</a>.size(); }</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160; </div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_rectangle.html#a3143df391fb8929ceb88f32638297cdc">draw</a>(<span class="keyword">const</span> std::string &amp;rectangleFilename) <span class="keyword">const override</span>;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160; </div>
<div class="line"><a name="l00162"></a><span class="lineno"><a class="line" href="class_rectangle.html#a58448a7e7ccd6dabba3a94055b60d385">  162</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_rectangle.html#a58448a7e7ccd6dabba3a94055b60d385">getCollisionInformation</a>()<span class="keyword"> const override </span>{</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        std::cerr &lt;&lt; std::endl;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;        std::cerr &lt;&lt; <span class="stringliteral">&quot;\tSTOP! The drone was stopped before collision with the rectangle&quot;</span> &lt;&lt; std::endl;</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    }</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160; </div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    [[nodiscard]] <span class="keywordtype">bool</span> <a class="code" href="class_rectangle.html#a0e4f5f8306e4fcdd21fcb2e4c9fc301a">checkCollision</a>(<span class="keyword">const</span> std::vector&lt;Vector3D&gt; &amp;droneCover) <span class="keyword">const override</span>;</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;};</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160; </div>
<div class="line"><a name="l00179"></a><span class="lineno"><a class="line" href="class_cuboid_obstacle.html">  179</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_cuboid_obstacle.html">CuboidObstacle</a> : <span class="keyword">public</span> <a class="code" href="class_shape.html">Shape</a> {</div>
<div class="line"><a name="l00185"></a><span class="lineno"><a class="line" href="class_cuboid_obstacle.html#a97f9c563dae030413a694fe42f1ca66b">  185</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_cuboid_obstacle.html#a97f9c563dae030413a694fe42f1ca66b">xMin</a> = 0.0 / 0.0, <a class="code" href="class_cuboid_obstacle.html#a66df1ef1fbbe69a5752faa8db92ce09a">xMax</a> = 0.0 / 0.0;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160; </div>
<div class="line"><a name="l00192"></a><span class="lineno"><a class="line" href="class_cuboid_obstacle.html#a60075e46b6cab2c07b3016d7910e73b5">  192</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_cuboid_obstacle.html#a60075e46b6cab2c07b3016d7910e73b5">yMin</a> = 0.0 / 0.0, <a class="code" href="class_cuboid_obstacle.html#ad48b8ea4a34fba849ed67d3d36e178eb">yMax</a> = 0.0 / 0.0;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160; </div>
<div class="line"><a name="l00199"></a><span class="lineno"><a class="line" href="class_cuboid_obstacle.html#ab8205b9d1145d4b8625433060fc5bc7f">  199</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_cuboid_obstacle.html#ab8205b9d1145d4b8625433060fc5bc7f">zMin</a> = 0.0 / 0.0, <a class="code" href="class_cuboid_obstacle.html#a651f17ffa48e4cae5d7f3f180cc5600a">zMax</a> = 0.0 / 0.0;</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160; </div>
<div class="line"><a name="l00204"></a><span class="lineno"><a class="line" href="class_cuboid_obstacle.html#a77f7bb2a38be970fb0d2708b1a62764c">  204</a></span>&#160;    std::vector&lt;Vector3D&gt; <a class="code" href="class_cuboid_obstacle.html#a77f7bb2a38be970fb0d2708b1a62764c">obstacleCuboid_</a>;</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160; </div>
<div class="line"><a name="l00209"></a><span class="lineno"><a class="line" href="class_cuboid_obstacle.html#a170f86b9a730414960a37e23a9240286">  209</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="class_vector.html">Vector3D</a> <a class="code" href="class_cuboid_obstacle.html#a170f86b9a730414960a37e23a9240286">obstacleCuboidTranslation_</a>{100, 150, -200};</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160; </div>
<div class="line"><a name="l00214"></a><span class="lineno"><a class="line" href="class_cuboid_obstacle.html#a4e8d394179d5727763e397882c1e9238">  214</a></span>&#160;    std::string <a class="code" href="class_cuboid_obstacle.html#a4e8d394179d5727763e397882c1e9238">kObstacleCuboidModel</a> = <span class="stringliteral">&quot;solid/obstacleCuboidModel.dat&quot;</span>;</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160; </div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00220"></a><span class="lineno"><a class="line" href="class_cuboid_obstacle.html#a46b2b296f05dbbfbaf99810a198a2ccb">  220</a></span>&#160;    std::string <a class="code" href="class_cuboid_obstacle.html#a46b2b296f05dbbfbaf99810a198a2ccb">kObstacleCuboidFile</a> = <span class="stringliteral">&quot;solid/obstacleCuboid.dat&quot;</span>;</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160; </div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;    <a class="code" href="class_cuboid_obstacle.html#ac30b116e7a4684a2cf5403708b63359a">CuboidObstacle</a>();</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160; </div>
<div class="line"><a name="l00235"></a><span class="lineno"><a class="line" href="class_cuboid_obstacle.html#a155db2a69880ad9e1385920bc36e41ee">  235</a></span>&#160;    <a class="code" href="class_cuboid_obstacle.html#a155db2a69880ad9e1385920bc36e41ee">~CuboidObstacle</a>() { <a class="code" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> -= <a class="code" href="class_cuboid_obstacle.html#a77f7bb2a38be970fb0d2708b1a62764c">obstacleCuboid_</a>.size(); }</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160; </div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_cuboid_obstacle.html#a58601592d1866745e78d37d7b610c573">draw</a>(<span class="keyword">const</span> std::string &amp;cuboidObstacleFilename) <span class="keyword">const override</span>;</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160; </div>
<div class="line"><a name="l00246"></a><span class="lineno"><a class="line" href="class_cuboid_obstacle.html#ace6d0f8db09fd495b282bb0524bec0b8">  246</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_cuboid_obstacle.html#ace6d0f8db09fd495b282bb0524bec0b8">getCollisionInformation</a>()<span class="keyword"> const override </span>{</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;        std::cerr &lt;&lt; std::endl;</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;        std::cerr &lt;&lt; <span class="stringliteral">&quot;\tSTOP! The drone was stopped before collision with the cuboid&quot;</span> &lt;&lt; std::endl;</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;    }</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160; </div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;    [[nodiscard]] <span class="keywordtype">bool</span> <a class="code" href="class_cuboid_obstacle.html#a3530598ee9d1ecc78d168ea978f8b79c">checkCollision</a>(<span class="keyword">const</span> std::vector&lt;Vector3D&gt; &amp;droneCover) <span class="keyword">const override</span>;</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;};</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclass_cuboid_obstacle_html_a155db2a69880ad9e1385920bc36e41ee"><div class="ttname"><a href="class_cuboid_obstacle.html#a155db2a69880ad9e1385920bc36e41ee">CuboidObstacle::~CuboidObstacle</a></div><div class="ttdeci">~CuboidObstacle()</div><div class="ttdoc">Destructor for CuboidObstacles class.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00235">obstacles.hh:235</a></div></div>
<div class="ttc" id="aclass_rectangle_html_a494c076b13aadf26efdce07d23c61ddd"><div class="ttname"><a href="class_rectangle.html#a494c076b13aadf26efdce07d23c61ddd">Rectangle::~Rectangle</a></div><div class="ttdeci">~Rectangle()</div><div class="ttdoc">Destructor for Rectangle class.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00151">obstacles.hh:151</a></div></div>
<div class="ttc" id="aclass_rectangle_html_a93cca8b6ab5765045dc2eda6433ee2fb"><div class="ttname"><a href="class_rectangle.html#a93cca8b6ab5765045dc2eda6433ee2fb">Rectangle::xMin</a></div><div class="ttdeci">double xMin</div><div class="ttdoc">Minimal and maximal values of coordinates on X axis.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00102">obstacles.hh:102</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_a58601592d1866745e78d37d7b610c573"><div class="ttname"><a href="class_cuboid_obstacle.html#a58601592d1866745e78d37d7b610c573">CuboidObstacle::draw</a></div><div class="ttdeci">void draw(const std::string &amp;cuboidObstacleFilename) const override</div><div class="ttdoc">Saves the rectangle obstacle coordinates to a result file.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8cpp_source.html#l00181">obstacles.cpp:181</a></div></div>
<div class="ttc" id="aclass_rectangle_html_a768853ea026976e3ec18d43a43b5ab30"><div class="ttname"><a href="class_rectangle.html#a768853ea026976e3ec18d43a43b5ab30">Rectangle::zMin</a></div><div class="ttdeci">double zMin</div><div class="ttdoc">Minimal and maximal values of coordinates on Z axis.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00116">obstacles.hh:116</a></div></div>
<div class="ttc" id="aclass_rod_html_aabd3e986477308641df1107e4d1ca952"><div class="ttname"><a href="class_rod.html#aabd3e986477308641df1107e4d1ca952">Rod::getCollisionInformation</a></div><div class="ttdeci">void getCollisionInformation() const override</div><div class="ttdoc">Displays error message, that in the next step will be collision with rod obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00079">obstacles.hh:79</a></div></div>
<div class="ttc" id="aclass_rod_html_a42392326816458fd9a3de76d675ae1bf"><div class="ttname"><a href="class_rod.html#a42392326816458fd9a3de76d675ae1bf">Rod::zMin</a></div><div class="ttdeci">double zMin</div><div class="ttdoc">Minimal and maximal values of coordinates on Z axis.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00033">obstacles.hh:33</a></div></div>
<div class="ttc" id="aclass_rectangle_html_ad1a7d194f96b1e3c17b5436cee629725"><div class="ttname"><a href="class_rectangle.html#ad1a7d194f96b1e3c17b5436cee629725">Rectangle::zMax</a></div><div class="ttdeci">double zMax</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00116">obstacles.hh:116</a></div></div>
<div class="ttc" id="aclass_rod_html_a08f7d00299c71d6856fb78a026d2a614"><div class="ttname"><a href="class_rod.html#a08f7d00299c71d6856fb78a026d2a614">Rod::xMin</a></div><div class="ttdeci">double xMin</div><div class="ttdoc">Minimal and maximal values of coordinates on X axis.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00019">obstacles.hh:19</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_ab8205b9d1145d4b8625433060fc5bc7f"><div class="ttname"><a href="class_cuboid_obstacle.html#ab8205b9d1145d4b8625433060fc5bc7f">CuboidObstacle::zMin</a></div><div class="ttdeci">double zMin</div><div class="ttdoc">Minimal and maximal values of coordinates on Z axis.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00199">obstacles.hh:199</a></div></div>
<div class="ttc" id="aclass_rod_html_ace95226b074d07712c4426492d41eeaf"><div class="ttname"><a href="class_rod.html#ace95226b074d07712c4426492d41eeaf">Rod::yMax</a></div><div class="ttdeci">double yMax</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00026">obstacles.hh:26</a></div></div>
<div class="ttc" id="ashape_8hh_html"><div class="ttname"><a href="shape_8hh.html">shape.hh</a></div></div>
<div class="ttc" id="aclass_rectangle_html_afb0f8b49df846d3e9cccf64188817ef1"><div class="ttname"><a href="class_rectangle.html#afb0f8b49df846d3e9cccf64188817ef1">Rectangle::yMin</a></div><div class="ttdeci">double yMin</div><div class="ttdoc">Minimal and maximal values of coordinates on Y axis.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00109">obstacles.hh:109</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html"><div class="ttname"><a href="class_cuboid_obstacle.html">CuboidObstacle</a></div><div class="ttdoc">Models the concept of the cuboid obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00179">obstacles.hh:179</a></div></div>
<div class="ttc" id="aclass_rod_html_afbe3c127b021c810aa560e8a1f8ea2c9"><div class="ttname"><a href="class_rod.html#afbe3c127b021c810aa560e8a1f8ea2c9">Rod::zMax</a></div><div class="ttdeci">double zMax</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00033">obstacles.hh:33</a></div></div>
<div class="ttc" id="aclass_rectangle_html_a6049ae1000f12d56cb36b4f6b5bd3c94"><div class="ttname"><a href="class_rectangle.html#a6049ae1000f12d56cb36b4f6b5bd3c94">Rectangle::yMax</a></div><div class="ttdeci">double yMax</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00109">obstacles.hh:109</a></div></div>
<div class="ttc" id="aclass_rod_html_a3f52050d995080e1b6b4a3244d39a418"><div class="ttname"><a href="class_rod.html#a3f52050d995080e1b6b4a3244d39a418">Rod::kObstacleRodFile</a></div><div class="ttdeci">const std::string kObstacleRodFile</div><div class="ttdoc">Result file for saving the rod obstacle coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00053">obstacles.hh:53</a></div></div>
<div class="ttc" id="aclass_rod_html_aab5b9f2d2649799575097e597be94354"><div class="ttname"><a href="class_rod.html#aab5b9f2d2649799575097e597be94354">Rod::~Rod</a></div><div class="ttdeci">~Rod()</div><div class="ttdoc">Destructor for Rod class.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00068">obstacles.hh:68</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_a66df1ef1fbbe69a5752faa8db92ce09a"><div class="ttname"><a href="class_cuboid_obstacle.html#a66df1ef1fbbe69a5752faa8db92ce09a">CuboidObstacle::xMax</a></div><div class="ttdeci">double xMax</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00185">obstacles.hh:185</a></div></div>
<div class="ttc" id="aclass_rectangle_html_a0e4f5f8306e4fcdd21fcb2e4c9fc301a"><div class="ttname"><a href="class_rectangle.html#a0e4f5f8306e4fcdd21fcb2e4c9fc301a">Rectangle::checkCollision</a></div><div class="ttdeci">bool checkCollision(const std::vector&lt; Vector3D &gt; &amp;droneCover) const override</div><div class="ttdoc">Checks if in the next step of movement will be collision with the rectangle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8cpp_source.html#l00128">obstacles.cpp:128</a></div></div>
<div class="ttc" id="aclass_rectangle_html_a44573438259917675abc85bd9d0914ef"><div class="ttname"><a href="class_rectangle.html#a44573438259917675abc85bd9d0914ef">Rectangle::obstacleRectangle_</a></div><div class="ttdeci">std::vector&lt; Vector3D &gt; obstacleRectangle_</div><div class="ttdoc">Set of rectangle obstacle coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00121">obstacles.hh:121</a></div></div>
<div class="ttc" id="aclass_rod_html_a36c0b7c7daacebdc643bb7fce67c01fd"><div class="ttname"><a href="class_rod.html#a36c0b7c7daacebdc643bb7fce67c01fd">Rod::kObstacleRodModel</a></div><div class="ttdeci">const std::string kObstacleRodModel</div><div class="ttdoc">File containing the rod coordinates model.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00048">obstacles.hh:48</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_a77f7bb2a38be970fb0d2708b1a62764c"><div class="ttname"><a href="class_cuboid_obstacle.html#a77f7bb2a38be970fb0d2708b1a62764c">CuboidObstacle::obstacleCuboid_</a></div><div class="ttdeci">std::vector&lt; Vector3D &gt; obstacleCuboid_</div><div class="ttdoc">Set of cuboid obstacle coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00204">obstacles.hh:204</a></div></div>
<div class="ttc" id="aclass_rod_html_a17ab3521f8c7b466a54bd4ae94b60ee5"><div class="ttname"><a href="class_rod.html#a17ab3521f8c7b466a54bd4ae94b60ee5">Rod::xMax</a></div><div class="ttdeci">double xMax</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00019">obstacles.hh:19</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_ad48b8ea4a34fba849ed67d3d36e178eb"><div class="ttname"><a href="class_cuboid_obstacle.html#ad48b8ea4a34fba849ed67d3d36e178eb">CuboidObstacle::yMax</a></div><div class="ttdeci">double yMax</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00192">obstacles.hh:192</a></div></div>
<div class="ttc" id="aclass_rectangle_html_a8a933e0ebd9e80ce91e61ffe87fd577e"><div class="ttname"><a href="class_rectangle.html#a8a933e0ebd9e80ce91e61ffe87fd577e">Rectangle::Rectangle</a></div><div class="ttdeci">Rectangle()</div><div class="ttdoc">Constructor for Rectangle class.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8cpp_source.html#l00077">obstacles.cpp:77</a></div></div>
<div class="ttc" id="aclass_rectangle_html_ad1bee83fb0fda7c7659870a564bbbfa5"><div class="ttname"><a href="class_rectangle.html#ad1bee83fb0fda7c7659870a564bbbfa5">Rectangle::kObstacleRectangleModel</a></div><div class="ttdeci">std::string kObstacleRectangleModel</div><div class="ttdoc">File containing the rectangle coordinates model.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00131">obstacles.hh:131</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_a170f86b9a730414960a37e23a9240286"><div class="ttname"><a href="class_cuboid_obstacle.html#a170f86b9a730414960a37e23a9240286">CuboidObstacle::obstacleCuboidTranslation_</a></div><div class="ttdeci">const Vector3D obstacleCuboidTranslation_</div><div class="ttdoc">Default translation of cuboid obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00209">obstacles.hh:209</a></div></div>
<div class="ttc" id="aclass_rod_html_a8bd1e81ac1987a74913ed25e57769d92"><div class="ttname"><a href="class_rod.html#a8bd1e81ac1987a74913ed25e57769d92">Rod::checkCollision</a></div><div class="ttdeci">bool checkCollision(const std::vector&lt; Vector3D &gt; &amp;droneCover) const override</div><div class="ttdoc">Checks if in the next step of movement will be collision with the rod.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8cpp_source.html#l00055">obstacles.cpp:55</a></div></div>
<div class="ttc" id="aclass_rectangle_html_a3143df391fb8929ceb88f32638297cdc"><div class="ttname"><a href="class_rectangle.html#a3143df391fb8929ceb88f32638297cdc">Rectangle::draw</a></div><div class="ttdeci">void draw(const std::string &amp;rectangleFilename) const override</div><div class="ttdoc">Saves the rectangle obstacle coordinates to a result file.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8cpp_source.html#l00108">obstacles.cpp:108</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_a4e8d394179d5727763e397882c1e9238"><div class="ttname"><a href="class_cuboid_obstacle.html#a4e8d394179d5727763e397882c1e9238">CuboidObstacle::kObstacleCuboidModel</a></div><div class="ttdeci">std::string kObstacleCuboidModel</div><div class="ttdoc">File containing the cuboid obstacle coordinates model.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00214">obstacles.hh:214</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_a97f9c563dae030413a694fe42f1ca66b"><div class="ttname"><a href="class_cuboid_obstacle.html#a97f9c563dae030413a694fe42f1ca66b">CuboidObstacle::xMin</a></div><div class="ttdeci">double xMin</div><div class="ttdoc">Minimal and maximal values of coordinates on X axis.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00185">obstacles.hh:185</a></div></div>
<div class="ttc" id="aclass_shape_html"><div class="ttname"><a href="class_shape.html">Shape</a></div><div class="ttdoc">Models the concept of the geometric object.</div><div class="ttdef"><b>Definition:</b> <a href="shape_8hh_source.html#l00012">shape.hh:12</a></div></div>
<div class="ttc" id="aclass_rectangle_html"><div class="ttname"><a href="class_rectangle.html">Rectangle</a></div><div class="ttdoc">Models the concept of the rectangle obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00096">obstacles.hh:96</a></div></div>
<div class="ttc" id="aclass_shape_html_aa807a43b362e4ef73df68fe95813ec4a"><div class="ttname"><a href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">Shape::currentCounter_</a></div><div class="ttdeci">static unsigned currentCounter_</div><div class="ttdoc">Number of current Vector3D objects.</div><div class="ttdef"><b>Definition:</b> <a href="shape_8hh_source.html#l00040">shape.hh:40</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_a46b2b296f05dbbfbaf99810a198a2ccb"><div class="ttname"><a href="class_cuboid_obstacle.html#a46b2b296f05dbbfbaf99810a198a2ccb">CuboidObstacle::kObstacleCuboidFile</a></div><div class="ttdeci">std::string kObstacleCuboidFile</div><div class="ttdoc">Result file for saving the cuboid obstacle coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00220">obstacles.hh:220</a></div></div>
<div class="ttc" id="aclass_rod_html_a8e04b938aebeabcd3ce18ef5c554127b"><div class="ttname"><a href="class_rod.html#a8e04b938aebeabcd3ce18ef5c554127b">Rod::yMin</a></div><div class="ttdeci">double yMin</div><div class="ttdoc">Minimal and maximal values of coordinates on Y axis.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00026">obstacles.hh:26</a></div></div>
<div class="ttc" id="aclass_rod_html_af5b1ce5a42b61431441eece432668ed7"><div class="ttname"><a href="class_rod.html#af5b1ce5a42b61431441eece432668ed7">Rod::obstacleRodTranslation_</a></div><div class="ttdeci">const Vector3D obstacleRodTranslation_</div><div class="ttdoc">Default translation of rod obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00043">obstacles.hh:43</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_ac30b116e7a4684a2cf5403708b63359a"><div class="ttname"><a href="class_cuboid_obstacle.html#ac30b116e7a4684a2cf5403708b63359a">CuboidObstacle::CuboidObstacle</a></div><div class="ttdeci">CuboidObstacle()</div><div class="ttdoc">Constructor for CuboidObstacle class.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8cpp_source.html#l00150">obstacles.cpp:150</a></div></div>
<div class="ttc" id="aclass_vector_html"><div class="ttname"><a href="class_vector.html">Vector&lt; double, 3 &gt;</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_a651f17ffa48e4cae5d7f3f180cc5600a"><div class="ttname"><a href="class_cuboid_obstacle.html#a651f17ffa48e4cae5d7f3f180cc5600a">CuboidObstacle::zMax</a></div><div class="ttdeci">double zMax</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00199">obstacles.hh:199</a></div></div>
<div class="ttc" id="aclass_rectangle_html_a6a3eb6fe3c8711301369da887ecc2354"><div class="ttname"><a href="class_rectangle.html#a6a3eb6fe3c8711301369da887ecc2354">Rectangle::obstacleRectangleTranslation_</a></div><div class="ttdeci">const Vector3D obstacleRectangleTranslation_</div><div class="ttdoc">Default translation of rectangle obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00126">obstacles.hh:126</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_a3530598ee9d1ecc78d168ea978f8b79c"><div class="ttname"><a href="class_cuboid_obstacle.html#a3530598ee9d1ecc78d168ea978f8b79c">CuboidObstacle::checkCollision</a></div><div class="ttdeci">bool checkCollision(const std::vector&lt; Vector3D &gt; &amp;droneCover) const override</div><div class="ttdoc">Checks if in the next step of movement will be collision with the cuboid.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8cpp_source.html#l00201">obstacles.cpp:201</a></div></div>
<div class="ttc" id="aclass_rectangle_html_a58448a7e7ccd6dabba3a94055b60d385"><div class="ttname"><a href="class_rectangle.html#a58448a7e7ccd6dabba3a94055b60d385">Rectangle::getCollisionInformation</a></div><div class="ttdeci">void getCollisionInformation() const override</div><div class="ttdoc">Displays error message, that in the next step will be collision with rectangle obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00162">obstacles.hh:162</a></div></div>
<div class="ttc" id="aclass_rectangle_html_afc01efdb1030741856872de1dcd5a3b5"><div class="ttname"><a href="class_rectangle.html#afc01efdb1030741856872de1dcd5a3b5">Rectangle::kObstacleRectangleFile</a></div><div class="ttdeci">std::string kObstacleRectangleFile</div><div class="ttdoc">Result file for saving the rectangle obstacle coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00136">obstacles.hh:136</a></div></div>
<div class="ttc" id="aclass_rod_html_adcb64855f216b76960fcd78db56a3e52"><div class="ttname"><a href="class_rod.html#adcb64855f216b76960fcd78db56a3e52">Rod::Rod</a></div><div class="ttdeci">Rod()</div><div class="ttdoc">Constructor for Rod class.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8cpp_source.html#l00005">obstacles.cpp:5</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_a60075e46b6cab2c07b3016d7910e73b5"><div class="ttname"><a href="class_cuboid_obstacle.html#a60075e46b6cab2c07b3016d7910e73b5">CuboidObstacle::yMin</a></div><div class="ttdeci">double yMin</div><div class="ttdoc">Minimal and maximal values of coordinates on Y axis.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00192">obstacles.hh:192</a></div></div>
<div class="ttc" id="aclass_rod_html_a26e3e6f119b8d6a3747dd22626e9c07c"><div class="ttname"><a href="class_rod.html#a26e3e6f119b8d6a3747dd22626e9c07c">Rod::draw</a></div><div class="ttdeci">void draw(const std::string &amp;rodFilename) const override</div><div class="ttdoc">Saves the rod obstacle coordinates to a result file.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8cpp_source.html#l00036">obstacles.cpp:36</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html_ace6d0f8db09fd495b282bb0524bec0b8"><div class="ttname"><a href="class_cuboid_obstacle.html#ace6d0f8db09fd495b282bb0524bec0b8">CuboidObstacle::getCollisionInformation</a></div><div class="ttdeci">void getCollisionInformation() const override</div><div class="ttdoc">Displays error message, that in the next step will be collision with cuboid obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00246">obstacles.hh:246</a></div></div>
<div class="ttc" id="aclass_rod_html"><div class="ttname"><a href="class_rod.html">Rod</a></div><div class="ttdoc">Models the concept of the rod obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00013">obstacles.hh:13</a></div></div>
<div class="ttc" id="aclass_rectangle_html_abece729bcd234268157da5155e73309b"><div class="ttname"><a href="class_rectangle.html#abece729bcd234268157da5155e73309b">Rectangle::xMax</a></div><div class="ttdeci">double xMax</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00102">obstacles.hh:102</a></div></div>
<div class="ttc" id="aclass_rod_html_ab283c65902eb7d02d80101b1fe94f15d"><div class="ttname"><a href="class_rod.html#ab283c65902eb7d02d80101b1fe94f15d">Rod::obstacleRod_</a></div><div class="ttdeci">std::vector&lt; Vector3D &gt; obstacleRod_</div><div class="ttdoc">Set of rod obstacle coordinates.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00038">obstacles.hh:38</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="obstacles_8hh.html">obstacles.hh</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
